package com.huashe.park.infrastructure.cfg.forest;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.boot.autoconfigure.condition.ConditionalOnProperty;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;

@Configuration
@ConfigurationProperties(prefix = "forest.custom.uwb")
@ConditionalOnProperty(name = "forest.custom.uwb.enabled", havingValue = "true")
public class UWBForestCfg {
    private static final Logger log = LoggerFactory.getLogger(UWBForestCfg.class);

    private String uwbSocket;

    private String uwbUsr;

    private String uwbPwd;

    private String uwbHost;

    private String testTag;

    public String getUwbHost() {
        return uwbHost;
    }

    public void setUwbHost(String uwbHost) {
        this.uwbHost = uwbHost;
    }

    public String getUwbSocket() {
        return uwbSocket;
    }

    public void setUwbSocket(String uwbSocket) {
        this.uwbSocket = uwbSocket;
    }

    public String getUwbUsr() {
        return uwbUsr;
    }

    public void setUwbUsr(String uwbUsr) {
        this.uwbUsr = uwbUsr;
    }

    public String getUwbPwd() {
        return uwbPwd;
    }

    public void setUwbPwd(String uwbPwd) {
        this.uwbPwd = uwbPwd;
    }

    public String getTestTag() {
        return testTag;
    }

    public void setTestTag(String testTag) {
        this.testTag = testTag;
    }
}
